<?php // $Id: listingBibrefs.php,v 1.1 2005/10/27 10:14:55 geothms Exp geothms $
session_start();
$pUtilizador = $_SESSION['utilizador'];
$pSenha = $_SESSION['senha'];
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous") // separa por tipo de utilizador
  require('headersubsubUsers.inc');
 else
   require('headersubsubAdmins.inc');
?>



<center>
<h3 class="maketitle">Geometric References listing</h3>
</center>



<?php
require('loginsub.php');
?>

<?php

// cria uma pesquisa
$sql = "SELECT bibrefId,bibtexEntry
          FROM bibrefs
         WHERE NOT(bibrefId='noref')";


$resultado = mysql_query($sql,$ligacao);

$ncampos =mysql_num_fields($resultado);
$nlinhas =mysql_num_rows($resultado);

echo "<center>";
echo "<h4 class='maketitle'>BiBTeX - Geometric References</h4>";
echo "</center>";

// Vai produzir o ficheiro geothms.bib das referências bibliográficas
ob_start();
print "@PREAMBLE{ {\\newcommand{\\noopsort}[1]{} \\newcommand{\singleletter}[1]{#1} } }";
print "@STRING{ ADW = {Addison-Wesley} }";
print "@STRING{ AMS = {American Mathematical Society} }";

print "<p>&nbsp;</p>";
while ($linha = mysql_fetch_assoc($resultado)){
  $vBibRefId    = trim($linha['bibrefId']);
  $vBiBTeXEntry = trim($linha['bibtexEntry']);
  $vBibRef      = $_POST[$vBibRefId];
  if ($vBibRef =='on') {
    print "$vBiBTeXEntry\n"; 
  }
 }
$texfile=fopen("geothmsSelected.bib","w");
fwrite($texfile,ob_get_contents()); 
fclose($texfile); 
ob_end_clean(); 

print "<a href='geothmsSelected.bib'>geothmsSelected.bib</a>";
print "<br>\n";

// E agora despeja para o ecrã

print "<pre>@PREAMBLE{ {\\newcommand{\\noopsort}[1]{} \\newcommand{\singleletter}[1]{#1} } }</pre>";
print "<pre>@STRING{ ADW = {Addison-Wesley} }</pre>";
print "<pre>@STRING{ AMS = {American Mathematical Society} }</pre>";

print "<p>&nbsp;</p>";
while ($linha = mysql_fetch_assoc($resultado)){
  $vBibRefId    = trim($linha['bibrefId']);
  $vBiBTeXEntry = trim($linha['bibtexEntry']);
  $vBibRef      = $_POST[$vBibRefId];
  if ($vBibRef =='on') {
    print "<pre> $vBiBTeXEntry</pre>\n"; 
  }
 }

?>




<?php
  require('../footer.inc');
?>
